#!/usr/bin/env bash

# -----------------------------------------------------------------------------
# Requirements:
#   rofi
# Description:
#   Use rofi to search the web.
# Usage:
#   searx-search.sh
# -----------------------------------------------------------------------------
# Script:

URL="https://duckduckgo.com/?q="
main() {
  # Open rofi for prompt
  query=$(rofi -dmenu -matching fuzzy -location 0 -p "Query > ")
  if [[ -n "$query" ]]; then
    url=$URL$query
    qutebrwoser ":open -w $url"
  else
    exit
  fi
}

main

exit 0
